"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const electron_1 = require("electron");
exports.IS_DEBUG = process.env.NODE_ENV === 'development';
exports.IS_DARWIN = process.platform === 'darwin';
exports.IS_WINDOWS = process.platform === 'win32';
exports.IS_LINUX = process.platform === 'linux';
exports.APP_ICON = path.join(__dirname, '..', 'resources', 'icon', 'icon.png');
exports.PRELOAD_JS = path.join(__dirname, '..', 'renderer', 'preload.js');
exports.DATA_DIR = electron_1.app.getPath('userData');
exports.CONFIG_FILE = path.join(exports.DATA_DIR, 'config.json');
exports.USER_CSS = path.join(exports.DATA_DIR, 'user.css');
exports.IOS_SAFARI_USERAGENT = 'Mozilla/5.0 (iPhone; CPU iPhone OS 10_0 like Mac OS X) AppleWebKit/602.1.38 (KHTML, like Gecko) Version/10.0 Mobile/14A300 Safari/602.1';
function trayIcon(color) {
    return path.join(__dirname, '..', 'resources', 'icon', `tray-icon-${color === 'white' ? 'white' : 'black'}@2x.png`);
}
exports.trayIcon = trayIcon;
//# sourceMappingURL=common.js.map